summaryrefslogtreecommitdiffstats
path: root/multimedia/moc
diff options
context:
space:
mode:
author Michael Wagner <lapinours@web.de>2010-05-11 20:01:21 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:21 +0200
commitad3a2e22bc0353585b8948c368803859a53f3d30 (patch)
tree346679ed66ae7ffb471e7793ddee1ff7af08a3e3 /multimedia/moc
parent8006096cfa80e48d273dd80909d9e5eb5d0b3cac (diff)
downloadslackbuilds-ad3a2e22bc0353585b8948c368803859a53f3d30.tar.gz
slackbuilds-ad3a2e22bc0353585b8948c368803859a53f3d30.tar.xz
multimedia/moc: Added to 12.0 repository
Diffstat (limited to 'multimedia/moc')
-rw-r--r--multimedia/moc/README4
-rw-r--r--multimedia/moc/moc.SlackBuild78
-rw-r--r--multimedia/moc/moc.info8
-rw-r--r--multimedia/moc/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/multimedia/moc/README b/multimedia/moc/README
new file mode 100644
index 0000000000..2763be1415
--- /dev/null
+++ b/multimedia/moc/README
@@ -0,0 +1,4 @@
+MOC (music on console)
+
+MOC is a console audio player for LINUX/UNIX designed to be powerful
+and easy to use.
diff --git a/multimedia/moc/moc.SlackBuild b/multimedia/moc/moc.SlackBuild
new file mode 100644
index 0000000000..bcf71767d6
--- /dev/null
+++ b/multimedia/moc/moc.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for moc
+
+# (C) 2007 Michael Wagner <lapinours@web.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=moc
+VERSION=2.4.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO \
+ config.example keymap.example"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --disable-debug \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+gzip -9 $PKG/usr/man/man1/*.?
+
+# Remove $PKG/usr/share/doc (the Makefile doesn't seem to understand docdir)
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/moc/moc.info b/multimedia/moc/moc.info
new file mode 100644
index 0000000000..5e6e6d4477
--- /dev/null
+++ b/multimedia/moc/moc.info
@@ -0,0 +1,8 @@
+PRGNAM="moc"
+VERSION="2.4.3"
+HOMEPAGE="http://moc.daper.net"
+DOWNLOAD="ftp://ftp.daper.net/pub/soft/moc/stable/moc-2.4.3.tar.bz2"
+MD5SUM="8808082848e90eeec5415baaec7e98ad"
+MAINTAINER="Michael Wagner"
+EMAIL="lapinours@web.de"
+APPROVED="rworkman"
diff --git a/multimedia/moc/slack-desc b/multimedia/moc/slack-desc
new file mode 100644
index 0000000000..c9932116bc
--- /dev/null
+++ b/multimedia/moc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+moc: MOC (music on console)
+moc:
+moc: MOC is a console audio player for LINUX/UNIX
+moc: designed to be powerful and easy to use.
+moc:
+moc: Homepage: http://moc.daper.net
+moc:
+moc:
+moc:
+moc:
+moc: